<?php
/*
 * @package     Intelipost_Tracking
 * @copyright   Copyright (c) 2017 Gamuza Technologies (http://www.gamuza.com.br/)
 * @author      Eneias Ramos de Melo <eneias@gamuza.com.br>
 */

namespace Intelipost\Tracking\Api\Sales;

interface ShipOrderInterface
extends \Magento\Sales\Api\ShipOrderInterface
{

/**
 * Creates new Shipment for given Order.
 *
 * @param int $orderId
 * @param \Magento\Sales\Api\Data\ShipmentItemCreationInterface[] $items
 * @param bool $notify
 * @param bool $appendComment
 * @param \Magento\Sales\Api\Data\ShipmentCommentCreationInterface|null $comment
 * @param \Intelipost\Tracking\Api\Sales\Data\ShipmentTrackCreationInterface[] $tracks
 * @param \Magento\Sales\Api\Data\ShipmentPackageCreationInterface[] $packages
 * @param \Magento\Sales\Api\Data\ShipmentCreationArgumentsInterface|null $arguments
 * @return int Id of created Shipment.
 */
public function execute(
    $orderId,
    array $items = [],
    $notify = false,
    $appendComment = false,
    \Magento\Sales\Api\Data\ShipmentCommentCreationInterface $comment = null,
    array $tracks = [],
    array $packages = [],
    \Magento\Sales\Api\Data\ShipmentCreationArgumentsInterface $arguments = null
);

}

